// QueryString.h: interface for the CQueryString class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_QUERYSTRING_H__AF660B45_FED3_4B45_97B2_4F0FAD7CC792__INCLUDED_)
#define AFX_QUERYSTRING_H__AF660B45_FED3_4B45_97B2_4F0FAD7CC792__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef _MAP_
#error "You forgot to #include <map>!"
#endif

#ifndef _STRING_
#error "You forgot to #include <string>!"
#endif

class CQueryString  
{
public:
	CQueryString(EXTENSION_CONTROL_BLOCK *pECB);
	virtual ~CQueryString();

	std::string operator[](std::string key);
	virtual bool IsEmpty();
	virtual double GetValueD(std::string key);
	virtual long GetValueL(std::string key);
	virtual int GetValueI(std::string key);
	virtual std::string GetValue(std::string key);
	virtual void Parse();
protected:	
	EXTENSION_CONTROL_BLOCK* m_pECB;
	std::map<std::string,std::string> m_varmap;

private:
	char HexToAscii(const char *pString) const;

protected:
	void Parse( const char* szQuery );
	void EscapeToAscii(char *pString);

};

#endif // !defined(AFX_QUERYSTRING_H__AF660B45_FED3_4B45_97B2_4F0FAD7CC792__INCLUDED_)
